image_urls to an empty array or omit it for pure text-to-image generation. Up to 10 images are supported.1:1, 1:4, 1:8, 2:3, 3:2, 3:4, 4:1, 4:3, 4:5, 5:4, 8:1, 9:16, 16:9, 21:9, auto. Default: auto.callBackUrl parameter so your service can receive completion notifications instead of polling for task status.curl --location 'https://api.kie.ai/api/v1/jobs/createTask' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "nano-banana-2-lite",
"callBackUrl": "https://your-domain.com/api/callback",
"input": {
"image_urls": [
"https://file.aiquickdraw.com/custom-page/akr/section-images/1756223420389w8xa2jfe.png"
],
"prompt": "Generate a pig on the grass, cinematic light",
"aspect_ratio": "auto"
}
}'{
"code": 200,
"msg": "success",
"data": {
"taskId": "task_nanobanana_1765180586443"
}
}